X2Go Bug report logs - #1292
Windows client crashes in QObject::killTimers trying to connect with Pageant

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: x2go user <x2gouser@yandex.com>

Date: Mon, 30 Apr 2018 22:40:04 UTC

Severity: normal

Found in version 4.1.1.1

Full log


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

Received: (at submit) by bugs.x2go.org; 30 Apr 2018 22:35:55 +0000
From x2gouser@yandex.com  Tue May  1 00:35:44 2018
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-2.0 required=3.0 tests=BAYES_00,DKIM_SIGNED,
	DKIM_VALID,DKIM_VALID_AU,FREEMAIL_FROM,URIBL_BLOCKED autolearn=ham
	autolearn_force=no version=3.4.1
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 06FBC5DAEA
	for <submit@bugs.x2go.org>; Tue,  1 May 2018 00:35:44 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id X4tENH4j4x4j for <submit@bugs.x2go.org>;
	Tue,  1 May 2018 00:35:35 +0200 (CEST)
X-Greylist: delayed 475 seconds by postgrey-1.35 at ymir.das-netzwerkteam.de; Tue, 01 May 2018 00:35:34 CEST
Received: from forward104j.mail.yandex.net (forward104j.mail.yandex.net [IPv6:2a02:6b8:0:801:2::107])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id CD3D75DACB
	for <submit@bugs.x2go.org>; Tue,  1 May 2018 00:35:34 +0200 (CEST)
Received: from mxback1j.mail.yandex.net (mxback1j.mail.yandex.net [IPv6:2a02:6b8:0:1619::10a])
	by forward104j.mail.yandex.net (Yandex) with ESMTP id 67A1343A2D
	for <submit@bugs.x2go.org>; Tue,  1 May 2018 01:27:38 +0300 (MSK)
Received: from localhost (localhost [::1])
	by mxback1j.mail.yandex.net (nwsmtp/Yandex) with ESMTP id zd7HhaMj0L-Rbbq7ggx;
	Tue, 01 May 2018 01:27:37 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail; t=1525127257;
	bh=Q0UhqK1j4dT6rX4u/8/7Mvb6WJZpKxB01hwq9JblwV4=;
	h=From:To:Subject:Message-Id:Date;
	b=TvTpJzRcBQOn/7MBRypBKGytp6CkcV2vqKQ5HIXHr+6CC0bZg0E8gD00p8CHrYMFx
	 2TvIu8Z46e9JfsLRaZpn4zVFxG2foP715QRs5pDDt7bwtTXjO0ibfVFMLd866+Wxvj
	 EBuB5lrCej8g5WYRf5KbcW1I/QSE6H/Pj9qjt+EU=
Authentication-Results: mxback1j.mail.yandex.net; dkim=pass header.i=@yandex.com
Received: by web26g.yandex.ru with HTTP;
	Tue, 01 May 2018 01:27:37 +0300
From: x2go user <x2gouser@yandex.com>
To: submit@bugs.x2go.org
Subject: Windows client crashes in QObject::killTimers trying to connect with Pageant
MIME-Version: 1.0
Message-Id: <5066871525127257@web26g.yandex.ru>
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Date: Mon, 30 Apr 2018 17:27:37 -0500
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
Package: x2goclient
Version: 4.1.1.1

When trying to connect with auto-login using Pageant on Windows, the client starts to connect and then crashes.  The crash happens before anything shows in the event log UI; the debug log is below.  It seems like the relevant log line is:

    QObject::killTimers: timers cannot be stopped from another thread

It does not crash using normal password auth or public key auth with a private key file.  It crashes with both the included 32-bit pageant and the 64-bit pageant from the PuTTY distribution.  PuTTY connects fine using the same pageant and host.

This client is Windows 10 version 1703 (build 15063.1029) 64-bit.
The server is RedHat 7.3 64-bit, OpenSSH_6.6.1p1, OpenSSL 1.0.1e-fips 11 Feb 2013
Server versions:
x2goagent: 3.5.0.32
x2goserver: 4.0.1.20
x2goserver-extensions: 4.0.1.20
x2goserver-xsession: 4.0.1.20


--------------------------------------
debug log
--------------------------------------

x2go-INFO-1> "Starting X2Go Client 4.1.1.1..."
x2go-WARNING-1> English language requested, not loading translator.
x2go-WARNING-1> English language requested, not loading translator.
x2go-DEBUG-../src/onmainwindow.cpp:1380> Removing apps from tray
x2go-DEBUG-../src/onmainwindow.cpp:1348> Plugging apps in tray.
x2go-DEBUG-../src/onmainwindow.cpp:10589> Getting X.Org Server settings.
x2go-INFO-3> "Started X2Go Client."
x2go-DEBUG-../src/onmainwindow.cpp:583> "$HOME=C:/Users/user"
x2go-DEBUG-../src/onmainwindow.cpp:2420> Reading 2 sessions from config file.
x2go-DEBUG-../src/sessionbutton.cpp:342> Creating QPixmap with session icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/sessionbutton.cpp:342> Creating QPixmap with session icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/onmainwindow.cpp:13086> libssh not initialized yet. Initializing.
x2go-DEBUG-../src/onmainwindow.cpp:6934> Not starting PulseAudio
x2go-DEBUG-../src/onmainwindow.cpp:10492> Starting helper servers for Windows ...
x2go-DEBUG-../src/onmainwindow.cpp:10659> "/cygdrive/C/Users/user/.x2go/var" cygwin var path
x2go-DEBUG-../src/onmainwindow.cpp:10742> "C:/Users/user/.x2go/etc/sshd_config created."
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:10274> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:11092> Logging cygwin sshd to: "C:/Users/user/.x2go/sshLogs/Hp1108.log"
x2go-DEBUG-../src/onmainwindow.cpp:11106> Creating desktop: x2go_user
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:10280> Port already in use: 7022
x2go-DEBUG-../src/onmainwindow.cpp:10252> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:10280> Port already in use: 7022
x2go-DEBUG-../src/onmainwindow.cpp:11203> User mode OpenSSH server started successfully.
x2go-DEBUG-../src/onmainwindow.cpp:2906> Creating QPixmap with session icon: '":/img/icons/128x128/x2gosession.png"'.
x2go-DEBUG-../src/onmainwindow.cpp:2973> Starting session via Smart Card, SSH Agent or Kerberos token.
x2go-DEBUG-../src/onmainwindow.cpp:1380> Removing apps from tray
x2go-INFO-8> "Starting connection to server: 10.0.0.67:22"
x2go-DEBUG-../src/onmainwindow.cpp:3007> Starting new ssh connection to server:"10.0.0.67":"22" krbLogin: false
x2go-DEBUG-../src/sshmasterconnection.cpp:175> SshMasterConnection, host "10.0.0.67"; port 22; user "user"; useproxy false; proxyserver ""; proxyport 22
x2go-DEBUG-../src/sshmasterconnection.cpp:248> Starting SSH connection without Kerberos authentication.
x2go-DEBUG-../src/sshmasterconnection.cpp:252> SshMasterConnection, instance SshMasterConnection(0x3c131f8)  created. 
x2go-DEBUG-../src/sshmasterconnection.cpp:520> SshMasterConnection, instance SshMasterConnection(0x3c131f8)  entering thread. 
x2go-DEBUG-../src/sshmasterconnection.cpp:592> Setting SSH directory to C:/Users/user/ssh
x2go-DEBUG-../src/sshmasterconnection.cpp:840> Session port before config file parse: 22
x2go-DEBUG-../src/sshmasterconnection.cpp:850> Session port after config file parse: 22
x2go-DEBUG-../src/sshmasterconnection.cpp:915> Session port before config file parse (part 2): 22
x2go-DEBUG-../src/sshmasterconnection.cpp:925> Session port after config file parse (part 2): 22
x2go-DEBUG-../src/sshmasterconnection.cpp:950> cserverAuth
x2go-DEBUG-../src/sshmasterconnection.cpp:991> state: 1

x2go-DEBUG-../src/sshmasterconnection.cpp:711> Setting SSH directory to C:/Users/user/ssh
QObject::killTimers: timers cannot be stopped from another thread




-------------------------------------------
sshd log
-------------------------------------------

debug1: Bind to port 7022 on ::.
Server listening on :: port 7022.
debug1: Bind to port 7022 on 0.0.0.0.
Server listening on 0.0.0.0 port 7022.
debug1: fd 6 clearing O_NONBLOCK
debug1: Forked child 4216.
debug1: rexec start in 6 out 6 newsock 6 pipe 8 sock 9
debug1: fd 6 clearing O_NONBLOCK
debug1: Forked child 1832.
debug1: rexec start in 6 out 6 newsock 6 pipe 9 sock 10
debug1: inetd sockets after dupping: 5, 5
Connection from 127.0.0.1 port 62967 on 127.0.0.1 port 7022
Did not receive identification string from 127.0.0.1
debug1: inetd sockets after dupping: 5, 5
Connection from 127.0.0.1 port 62968 on 127.0.0.1 port 7022
Did not receive identification string from 127.0.0.1



Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jan 31 17:13:36 2023; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.